<?php

class TrackingCode {
	
	//---------------------------------------------------------
	//  コントロール設定
	//---------------------------------------------------------
	
	public static function control() {
		
		// コントロール設定を返す
		return [true, false, 'Header', 'Footer'];
		
	}
	
	//---------------------------------------------------------
	//  解析用コードを表示
	//---------------------------------------------------------
	
	public static function execute() {
		
		// テンプレートクラスを取得
		$tmpl = $GLOBALS['object']['tmpl'];
		
		// テンプレートファイルを読み込み
		$html = $tmpl->read('tracking_code.htm', false);
		
		// write_php tracker.phpのパスを取得
		$vars['incDir'] = getcwd();
		
		// プロトコルを取得
		$protocol = (!isset($_SERVER['HTTPS']) || $_SERVER['HTTPS'] === 'off') ? 'http' : 'https';
		
		// URLディレクトリを取得
		$vars['urlDir'] = $protocol . '://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['SCRIPT_NAME']);
		
		// 今日の年月を取得
		[$vars['y'], $vars['m']] = Controller::dates();
		
		// メインテンプレートを出力
		$tmpl->show($html, $vars);
		
	}
	
}

